GET /auth/usage/history/v2/export
Export Usage History V2
REST API overview · OpenAPI JSON · OpenAPI YAML
| Stability | Authentication | Cost | Operation ID |
|---|---|---|---|
| Published | Bearer API key | Free | export_usage_history_v2_api_v1_auth_usage_history_v2_export_get |
| Name | Location | Required | Type | Description |
|---|---|---|---|---|
start_date | query | No | string | null | — |
end_date | query | No | string | null | — |
event_type | query | No | string | null | — |
kind | query | No | string | null | — |
success | query | No | boolean | null | — |
billable_success | query | No | boolean | null | — |
outcome | query | No | string | null | — |
reason_code | query | No | string | null | — |
has_execution_outcome | query | No | boolean | null | — |
charge_outcome | query | No | string | null | — |
anomaly | query | No | string | null | — |
search_id | query | No | string | null | — |
execution_id | query | No | string | null | — |
api_key_id | query | No | string | null | — |
This operation has no JSON request body.
curl --request GET \
--url "https://qveris.ai/api/v1/auth/usage/history/v2/export" \
--header "Authorization: Bearer $QVERIS_API_KEY"
const response = await fetch("https://qveris.ai/api/v1/auth/usage/history/v2/export", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.QVERIS_API_KEY}`,
},
})
if (!response.ok) throw new Error(`QVeris request failed: ${response.status}`)
console.log(await response.json())
import os
import requests
response = requests.request(
"GET",
"https://qveris.ai/api/v1/auth/usage/history/v2/export",
headers={"Authorization": f"Bearer {os.environ['QVERIS_API_KEY']}"},
timeout=30,
)
response.raise_for_status()
print(response.json())
| Status | Meaning | Schema |
|---|---|---|
200 | CSV export. | string |
"string"
POST Discover capabilities · POST Inspect capabilities · POST Probe a capability · POST Call a capability
Was this page helpful?